---
description: Tracks when the root cause analysis button is rendered
internal_events: true
action: render_root_cause_analysis
identifiers:
- project
- namespace
- user
additional_properties:
  label:
    description: Page where button is located. Can be `jobs_show` or `pipelines_index_failed_job_details`
product_group: acquisition
product_categories:
- acquisition
milestone: '17.8'
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/177098
tiers:
- premium
- ultimate
